LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XParameter Interface Reference

Reflects a parameter of an interface method or a service constructor. More...

`import"XParameter.idl";`

Inheritance diagram for XParameter:

## Public Member Functions
boolean | isRestParameter ()
| Returns whether this is a rest parameter. More...
Public Member Functions inherited from XMethodParameter
string | getName ()
| Returns the name of the parameter. More...
com::sun::star::reflection::XTypeDescription | getType ()
| Returns the type of the parameter. More...
boolean | isIn ()
| Returns true, if the parameter is declared as [in] or [inout] in IDL. More...
boolean | isOut ()
| Returns true, if the parameter is declared as [out] or [inout] in IDL. More...
long | getPosition ()
| Returns the position of the parameter regarding the IDL method declaration. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a parameter of an interface method or a service constructor.

This type supersedes XMethodParameter, which only supports parameters of interface methods (which cannot have rest parameters).

Since
  OOo 2.0

## Member Function Documentation

## ◆ isRestParameter()

boolean isRestParameter | ( |  | ) |

Returns whether this is a rest parameter.

A rest parameter must always come last in a parameter list.

Currently, only service constructors can have rest parameters, and those rest parameters must be in parameters of type `any`.

Returns
  `TRUE` if and only if this parameter is a rest parameter

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XParameter.idl